# KDE användarhandbok

2010-10-06
K-skrivbordsmiljön
plasmaengineexplorer
1

# `plasmaengineexplorer`

Ger direkt tillgång till Plasma datagränssnitt

    plasmaengineexplorer --height  bildpunkter --width  bildpunkter -x  bildpunkter -y  bildpunkter --engine  datagränssnitt --source  datagränssnitt --interval  ms --app  program

    plasmaengineexplorer Allmänna KDE-väljare Allmänna QT-väljare

## Beskrivning

`plasmaengineexplorer` är ett grafiskt verktyg som låter utvecklare testa Plasma datagränssnitt utan att skriva ett Plasma miniprogram.

Om inga väljare anges, startar det utan något datagränssnitt valt. Datagränssnittet som ska användas kan väljas från en lista i en kombinationsruta.

Bara installerade datagränssnitt hittas. `kbuildsyoca4` kanske behöver köras för att nyinstallerade datagränssnitt ska hittas.

## Väljare

`--list bildpunkter`

  Visar en lista med alla kända gränssnitt och deras beskrivningar.

`--height`

  Ställer in fönstrets höjd i bildpunkter.

`--width bildpunkter`

  Ställer in fönstrets bredd i bildpunkter.

`-x bildpunkter`

  Ställer in x-koordinaten (den horisontella) för fönstrets övre vänstra hörn i bildpunkter.

`-y bildpunkter`

  Ställer in y-koordinaten (den vertikala) för fönstrets övre vänstra hörn i bildpunkter.

`--engine datagränssnitt`

  Starta `plasmaengineexplorer` med angivet datagränssnitt valt. `datagränssnitt` är datagränssnittets interna namn givet av nyckeln X-KDE-PluginInfo-Namn i skrivbordsfilen.

`--source datagränssnitt`

  Bara giltig tillsammans med `--engine`. Begär en specifik källa från datagränssnittet när `plasmaengineexplorer` startas.

`--interval tid`

  Ställer in förvalt uppdateringsintervall för begärda källor till `tid` millisekunder. Om det inte anges, kommer källan att uppdateras på begäran (för vissa källor är det när ny data är tillgänglig).

  Om `--source` anges, är detta uppdaeringsintervallet som kommer att användas när den källan begärs.

`--app program`

  Visa bara gränssnitt som hör ihop med ett motsvarande program. Bestäms av posten X-KDE-ParentApp i datagränssnittets skrivbordsfil.

## Se också

Mer detaljerad användardokumentation är tillgänglig med help:/plasma-desktop (skriv antingen in webbadressen i &konqueror;, eller kör ``khelpcenter` `help:/plasma-desktop``).

## Exempel

Ladda datagränssnittet time, som visar lokal tid och uppdateras varje sekund:

    plasmaengineexplorer --engine time --source Local --interval 1000

## Upphovsmän

`plasmaengineexplorer` är skrivet av Aaron Seigo aseigo@kde.org.